### Method

# Gtk PrintSettings get_double_with_default

#### Declaration [src]

    double
    gtk_print_settings_get_double_with_default (
      GtkPrintSettings* settings,
      const char* key,
      double def
    )

#### Description [src]

Returns the floating point number represented by the value that is associated with `key`, or `default_val` if the value does not represent a floating point number.

Floating point numbers are parsed with g_ascii_strtod().

#### Parameters

`key` | `const char*`
| A key.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`def` | `double`
| The default value.

#### Return value

Returns: | `double`
| The floating point number associated with `key`.